Maestro Task Query API

Query the status and results of video tasks created by POST /maestro/videos. Polling is free and does not consume points.

POST https://api.acedata.cloud/maestro/tasks

curl -X POST https://api.acedata.cloud/maestro/tasks \
  -H "authorization: Bearer {token}" \
  -H "content-type: application/json" \
  -d '{ "id": "0c1f…", "action": "retrieve" }'
Field Type Description
id string task_id returned by POST /maestro/videos
action string retrieve (default)

Returns:

{
  "id": "0c1f…",
  "status": "succeeded",
  "request": { … },
  "response": {
    "success": true,
    "data": {
      "variants": [
        { "lang": "zh-cn", "output_url": "https://…/x.mp4", "captions_url": "https://…/x.srt", "duration": 31.2 }
      ],
      "storyboard": { … }
    }
  }
}

status: pending / scripting / generating / rendering / captioning / qc / succeeded / failed. It is recommended to poll every 5–10 seconds until succeeded or failed.